Skip to main content

Instance Organization Invites Actions

https://api.app.wnology.io/instances/INSTANCE_ID/orgs/ORG_ID/invites

Below are the various requests that can be performed against the Instance Organization Invites resource, as well as the expected parameters and the potential responses.

Get​

Returns a collection of instance organization invites

Method And Url​

GET https://api.app.wnology.io/instances/INSTANCE_ID/orgs/ORG_ID/invites

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.Instance.read, all.User, all.User.bounded, all.User.read, instanceOrgInvites.*, or instanceOrgInvites.get.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97
ORG_IDID associated with the organization575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: email, role, inviteDateinviteDatesortField=role
sortDirectionNDirection to sort the results by. Accepted values are: asc, descdescsortDirection=asc
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: email, rolefilterField=email
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my * instance

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/instances/INSTANCE_ID/orgs/ORG_ID/invites

Successful Responses​

CodeTypeDescription
200Instance Organization InvitationsA collection of instance organization invitations

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance or organization was not found

Post​

Invites a member to an instance organization

Method And Url​

POST https://api.app.wnology.io/instances/INSTANCE_ID/orgs/ORG_ID/invites

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.User, instanceOrgInvites.*, or instanceOrgInvites.post.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97
ORG_IDID associated with the organization575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Organization Invitation Post schema. For example, the following would be a valid body for this request:

{
"email": "invitedUser@example.com",
"role": "edit"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"email":"invitedUser@example.com","role":"edit"}' \
https://api.app.wnology.io/instances/INSTANCE_ID/orgs/ORG_ID/invites

Successful Responses​

CodeTypeDescription
201Instance Organization InvitationsThe new organization invite

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance or organization was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 2 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key

      Error Example​

      • ▶
        {} 2 keys
        • "NotFound"
        • "Application was not found"

      Instance Organization Invitations​

      Schema for an collection of pending invitations to an Instance Organization

      Instance Organization Invitations Schema​

      • ▶
        {} 3 keys
        • "http://json-schema.org/draft-07/schema#"
        • "object"
        • ▶
          {} 8 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 1 key
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 1 key
                        • ▶
                          {} 2 keys

                      Instance Organization Invitations Example​

                      • ▶
                        {} 4 keys
                        • ▶
                          [] 1 item
                          • 8
                          • "role"
                          • "asc"

                        Organization Invitation Post​

                        Schema for the body of a request to send an invitation

                        Organization Invitation Post Schema​

                        • ▶
                          {} 5 keys
                          • "http://json-schema.org/draft-07/schema#"
                          • "object"
                          • ▶
                            {} 5 keys
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 3 keys
                                    • ▶
                                      {} 1 key
                                    • false
                                    • ▶
                                      [] 2 items

                                    Organization Invitation Post Example​

                                    • ▶
                                      {} 2 keys
                                      • "invitedUser@example.com"
                                      • "edit"

                                    Was this page helpful?


                                    Still looking for help? You can also search the WEGnology Forums or submit your question there.